group "CommodityFinancialOption.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 11 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
commodity, (effectiveDate, terminationDate?, (calculationPeriodsSchedule?, pricingDates?, averagingMethod?)?)?, notionalQuantity, totalNotionalQuantity, exercise, (strikePricePerUnit | floatingStrikePricePerUnit)?

Content Model Elements (11):

  averagingMethod (in commodityOption), calculationPeriodsSchedule (in commodityOption), commodity (in commodityOption), effectiveDate (in commodityOption), exercise (in commodityOption), floatingStrikePricePerUnit, | notionalQuantity, pricingDates (in commodityOption), strikePricePerUnit, terminationDate (in commodityOption), totalNotionalQuantity

Known Usage Locations

- In definitions of global complexTypes (1):
  CommodityOption

Annotation
Items specific to financially-settled commodity options.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="CommodityFinancialOption.model"> <xsd:sequence> <xsd:element name="commodity" type="Commodity"/> <xsd:group minOccurs="0" ref="CommodityOptionFeatures.model"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element name="exercise" type="CommodityExercise"/> <xsd:choice minOccurs="0"> <xsd:group ref="CommodityStrikePrice.model"/> <xsd:group ref="CommodityFloatingStrikePrice.model"/> </xsd:choice> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/11)
commodity

  Type: | Commodity, complex content

  Specifies the underlying instrument. Usual content is an ISDA Commodity Reference Price Name. The 'commodity' underlyer component is specified using a reference to the 'commodity' asset (see description above at the Commodity Underlyer section).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="commodity" type="Commodity"/>

exercise

  Type: | CommodityExercise, complex content

  The parameters for defining how the commodity option can be exercised and how it is settled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exercise" type="CommodityExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.